package oldmcdata.agents;

import jade.core.Agent;
import jade.lang.sl.SL0Codec;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *         
 * @author Stephen C. Upton
 * @version 1.0
 */

public class OldMcDataAgent extends Agent {
    protected PrintWriter output;
    protected String studyFileName;
    protected String studyDirName;
    protected String configFileName;
    public final static String generator = "generator";
    public final static String evaluator = "evaluator";
    public final static String analyzer = "analyzer";
    public final static String starter = "starter";

    public OldMcDataAgent() {
    }

    protected void setup() {
        try {
            Object[] args = this.getArguments();
            studyDirName = (String) args[0];
            studyFileName = (String) args[1];
            configFileName = (String) args[2];
            output = new PrintWriter(new BufferedWriter(
                    new FileWriter(studyDirName + File.separator + getLocalName() + ".log")));

            this.setQueueSize(0);
            // Register the codec for the SL0 language
            registerLanguage(SL0Codec.NAME, new SL0Codec());

        } catch (IOException ioe) {
            ioe.printStackTrace(System.out);
        }

    }
}