package oldmcdata.generators;


/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.3
 */

/** Exception when the data from a file does not match the number of variables.
 */
public class InvalidDataException extends RuntimeException {
    /**
     * Constructs a <code>InvalidDataException</code> with no detailed message.
     */
    public InvalidDataException() {
        super();
    }

    /**
     * Constructs a <code>InvalidDataException</code> with the specified
     * detail message.
     *
     * @param   s   the detailed message.
     */
    public InvalidDataException(String s) {
        super(s);
    }
}
