package oldmcdata.analyzers.utils.stats;


/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.0
 */

public class StandardDeviation extends AbstractStatistic {

    public StandardDeviation() {
        super("StandardDeviation");
    }

    public void calculateStatistic(double[] data) {
        double sum = 0.;
        int size = data.length;
        Mean mv = new Mean();
        mv.calculateStatistic(data);
        double mean = (mv.getStatistic()).doubleValue();

        for (int i = 0; i < size; i++)
            sum += Math.pow((data[i] - mean), 2);

        setStatistic(Math.sqrt(sum / (double) (size - 1)));
    }

}