package oldmcdata.evaluators;

import jade.core.Agent;
import jade.core.behaviours.Behaviour;

import java.io.File;

import oldmcdata.utils.StudyXMLHandler;

/**
 * Title:
 * Description:
 *Copyright: 2000 - 2005
 *  
 * @author Stephen C. Upton
 * @version 1.0
 */

public abstract class AbstractEvaluator implements Evaluator {
    protected StudyXMLHandler studyXMLHandler;
    protected File configFile;

    public AbstractEvaluator() {
    }

    public abstract void initialize();

    public abstract void evaluate();

    public void scheduleAgentsNextBehavior(Agent a, Behaviour b) {
        a.addBehaviour(b);
    }

    public void setStudyXMLHandler(StudyXMLHandler e) {
        studyXMLHandler = e;
    }

    public void setConfigFile(String filename) {
        configFile = new File(filename);
    }
}
