#!/bin/bash

# This is a bat file to run SimplePlanner by double-clicking this file using the default number of reps, seed, and scenario file
# You will need to change the path to the java version you want to use

# these are default values for seed and the scenario file

LIB=.
SCALA=$LIB/scala-library.jar:$LIB/colt.jar
SIMPLEPLANNER=$LIB/simpleplanner-1.0.jar

# remove the below comment and change the path to the desired java version
# otherwise, assume the default is being used

# JAVA_HOME="<where the java is located that you want to use>"

CLASSPATH=$SIMPLEPLANNER:$SCALA

FILE=$1
REPS=$2
# SET SEED=%3
# SET MOE=%4

echo $PATH

java -Xmx512m -cp $CLASSPATH edu.nps.seed.nst.TestEvent $FILE $REPS

echo Done
